LemmatizerModel (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.lemmatizer

## Class LemmatizerModel

- java.lang.Object
- - opennlp.tools.util.model.BaseModel
  - - opennlp.tools.lemmatizer.LemmatizerModel

- All Implemented Interfaces:
    Serializable, ArtifactProvider

      public class LemmatizerModel
      extends BaseModel

  The `LemmatizerModel` is the model used by a learnable `Lemmatizer`.
  See Also:
    `LemmatizerME`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.util.model.BaseModel

      `TRAINING_CUTOFF_PROPERTY, TRAINING_EVENTHASH_PROPERTY, TRAINING_ITERATIONS_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LemmatizerModel(File modelFile)`
    `LemmatizerModel(InputStream in)`
    `LemmatizerModel(Path modelPath)`
    `LemmatizerModel(String languageCode, MaxentModel lemmatizerModel, int beamSize, Map<String,String> manifestInfoEntries, LemmatizerFactory factory)`
    `LemmatizerModel(String languageCode, MaxentModel lemmatizerModel, LemmatizerFactory factory)`
    `LemmatizerModel(String languageCode, MaxentModel lemmatizerModel, Map<String,String> manifestInfoEntries, LemmatizerFactory factory)`
    `LemmatizerModel(String languageCode, SequenceClassificationModel<String> lemmatizerModel, Map<String,String> manifestInfoEntries, LemmatizerFactory factory)`
    `LemmatizerModel(URL modelURL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LemmatizerFactory` | `getFactory()`
    `SequenceClassificationModel<String>` | `getLemmatizerSequenceModel()`

    - ### Methods inherited from class opennlp.tools.util.model.BaseModel

      `getArtifact, getLanguage, getManifestProperty, getVersion, isLoadedFromSerialized, serialize, serialize, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LemmatizerModel

          public LemmatizerModel(String languageCode,
                                 SequenceClassificationModel<String> lemmatizerModel,
                                 Map<String,String> manifestInfoEntries,
                                 LemmatizerFactory factory)

    - #### LemmatizerModel

          public LemmatizerModel(String languageCode,
                                 MaxentModel lemmatizerModel,
                                 Map<String,String> manifestInfoEntries,
                                 LemmatizerFactory factory)

    - #### LemmatizerModel

          public LemmatizerModel(String languageCode,
                                 MaxentModel lemmatizerModel,
                                 int beamSize,
                                 Map<String,String> manifestInfoEntries,
                                 LemmatizerFactory factory)

    - #### LemmatizerModel

          public LemmatizerModel(String languageCode,
                                 MaxentModel lemmatizerModel,
                                 LemmatizerFactory factory)

    - #### LemmatizerModel

          public LemmatizerModel(InputStream in)
                          throws IOException,
                                 InvalidFormatException

      Throws:
        `IOException`
        `InvalidFormatException`

    - #### LemmatizerModel

          public LemmatizerModel(File modelFile)
                          throws IOException,
                                 InvalidFormatException

      Throws:
        `IOException`
        `InvalidFormatException`

    - #### LemmatizerModel

          public LemmatizerModel(Path modelPath)
                          throws IOException,
                                 InvalidFormatException

      Throws:
        `IOException`
        `InvalidFormatException`

    - #### LemmatizerModel

          public LemmatizerModel(URL modelURL)
                          throws IOException,
                                 InvalidFormatException

      Throws:
        `IOException`
        `InvalidFormatException`

  - ### Method Detail

    - #### getLemmatizerSequenceModel

          public SequenceClassificationModel<String> getLemmatizerSequenceModel()

    - #### getFactory

          public LemmatizerFactory getFactory()

Copyright © 2026 The Apache Software Foundation. All rights reserved.